namespace ZionVault.Logger
{
    public class Log
    {
        public const string FILE = "FILE";
        public const string WINDOWS = "WINDOWS";
        public const string CONSOLE = "CONSOLE";

        public static ILog To(string type)
        {
            switch (type)
            {
                case FILE:
                    return new LogFile();
                case WINDOWS:
                    return new LogWindows();
                case CONSOLE:
                    return new LogConsole();
                default:
                    return null;
            }
        }
    }
}
